﻿Public Class FirstSetup
    Public SerialNumberRoot As Long = 0
    Public SerialNumberMiddle As Long = 0
    Public SerialNumberUser As Long = 0
    Public SerialNumberServer As Long = 0
    Public SerialNumberCrl As Long = 0
    Public CrlCycle As String = Nothing

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        Try
            Me.SerialNumberRoot = Long.Parse(Me.TextBoxRoot.Text)
            Me.SerialNumberMiddle = Long.Parse(Me.TextBoxMiddle.Text)
            Me.SerialNumberUser = Long.Parse(Me.TextBoxUser.Text)
            Me.SerialNumberServer = Long.Parse(Me.TextBoxServer.Text)
            Me.SerialNumberCrl = Long.Parse(Me.TextBoxCRL.Text)
            If (SerialNumberRoot <> 0) And (SerialNumberMiddle <> 0) And (SerialNumberUser <> 0) And
              (SerialNumberServer <> 0) And (SerialNumberCrl <> 0) Then
                If (SerialNumberRoot <> SerialNumberMiddle) And (SerialNumberRoot <> SerialNumberUser) And
                    (SerialNumberRoot <> SerialNumberServer) And (SerialNumberRoot <> SerialNumberCrl) And
                    (SerialNumberMiddle <> SerialNumberUser) And (SerialNumberMiddle <> SerialNumberServer) And
                    (SerialNumberMiddle <> SerialNumberCrl) And
                    (SerialNumberUser <> SerialNumberServer) And (SerialNumberUser <> SerialNumberCrl) And
                    (SerialNumberServer <> SerialNumberCrl) Then
                    If Me.ComboBoxCycle.SelectedIndex = 0 Then
                        Me.CrlCycle = CommonDefines.CrlCycleMonthly
                    ElseIf Me.ComboBoxCycle.SelectedIndex = 1 Then
                        Me.CrlCycle = CommonDefines.CrlCycleQuarter
                    ElseIf Me.ComboBoxCycle.SelectedIndex = 2 Then
                        Me.CrlCycle = CommonDefines.CrlCycleHalf
                    ElseIf Me.ComboBoxCycle.SelectedIndex = 3 Then
                        Me.CrlCycle = CommonDefines.CrlCycleYear4
                    Else
                        Me.CrlCycle = CommonDefines.CrlCycleYear10
                    End If
                    Me.Close()
                Else
                    MessageBox.Show("シリアル番号が重複しています。", "入力値エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
                End If
            Else
                MessageBox.Show("シリアル番号には1以上の数値を指定してください。", "入力値エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End If
        Catch ex As Exception
            MessageBox.Show("入力された値をシリアル番号に設定できませんでした。", "入力値エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub ButtonCancel_Click(sender As Object, e As EventArgs) Handles ButtonCancel.Click
        Me.CrlCycle = Nothing
        Me.Close()
    End Sub
End Class