﻿Public Class CreateCertUser04
    Public K9piaCertDirectoryBase As String
    Public Issuer As Long
    Public SerialNumber As Long
    Public OutExt1st As String
    Public CheckOk As Boolean

    Private Sub CreateCertUser04_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Debug.WriteLine("debug 個人証明書の終了画面クラスが作成されました。")
        Me.CheckOk = False                                             ' コンストラクタ：初期化します
    End Sub

    Private Sub CreateCertUser04_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        Debug.WriteLine("debug 個人証明書の終了画面を表示します。")
        Dim SNdirectory As String
        If Me.Issuer < 10000 Then
            SNdirectory = Me.Issuer.ToString("D4")
        ElseIf Me.Issuer < 100000000 Then
            SNdirectory = Me.Issuer.ToString("D8")
        Else
            SNdirectory = Me.Issuer.ToString("D64")
        End If
        Me.LinkLabelFolder.Text = Me.K9piaCertDirectoryBase.Replace("\", "/") & SNdirectory & "/"
        Me.LabelFilename.Text = Me.SerialNumber.ToString() & "." & OutExt1st
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        Debug.WriteLine("debug 個人証明書の終了確認画面を閉じます。")
        Me.CheckOk = True
        Me.Close()
    End Sub

    Private Sub LinkLabelFolder_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelFolder.LinkClicked
        Debug.WriteLine("debug 個人証明書フォルダを表示します。")
        System.Diagnostics.Process.Start(Me.LinkLabelFolder.Text)
    End Sub
End Class