﻿Public Class CreateX509crl04
    Public K9piaCertDirectoryBase As String
    Public Issuer As Long
    Public SerialNumber As Long
    Public ThisUpdate As Date
    Public CheckOk As Boolean

    Private Sub CreateX509crl04_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Debug.WriteLine("debug 失効リストの終了画面クラスが作成されました。")
        Me.CheckOk = False                                             ' コンストラクタ：初期化します
    End Sub

    Private Sub CreateX509crl04_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        Debug.WriteLine("debug 失効リストの終了画面を表示します。")
        Dim SNdirectory As String
        If Me.Issuer < 10000 Then
            SNdirectory = Me.Issuer.ToString("D4")
        ElseIf Me.Issuer < 100000000 Then
            SNdirectory = Me.Issuer.ToString("D8")
        Else
            SNdirectory = Me.Issuer.ToString("D64")
        End If
        Me.LinkLabelFolder.Text = Me.K9piaCertDirectoryBase.Replace("\", "/") & SNdirectory & "/"
        Me.LabelFilename.Text = Me.Issuer.ToString() & "_" & Me.ThisUpdate.ToString("yyyyMMdd") & ".crl"
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        Debug.WriteLine("debug 失効リストの終了確認画面を閉じます。")
        Me.CheckOk = True
        Me.Close()
    End Sub

    Private Sub LinkLabelFolder_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelFolder.LinkClicked
        Debug.WriteLine("debug 認証局フォルダを表示します。")
        System.Diagnostics.Process.Start(Me.LinkLabelFolder.Text)
    End Sub
End Class