﻿Public Class SelectCSR
    Public CheckOk As Boolean

    Private Sub SelectCSR_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Debug.WriteLine("debug CSRの読み込み画面クラスが作成されました。")
        Me.CheckOk = False
        Me.LabelCountryName.ForeColor = SystemColors.Control
        Me.LabelStateOrProvinceName.ForeColor = SystemColors.Control
        Me.LabelLocalityName.ForeColor = SystemColors.Control
        Me.LabelOrganizationName.ForeColor = SystemColors.Control
        Me.LabelOrganizationUnitName.ForeColor = SystemColors.Control
        Me.LabelCommonName.ForeColor = SystemColors.Control
        Me.LabelEmail.ForeColor = SystemColors.Control
        Me.LabelStreet.ForeColor = SystemColors.Control
        Me.LabelPostalCode.ForeColor = SystemColors.Control
        Me.LabelJICountryName.ForeColor = SystemColors.Control
        Me.LabelJIStateOrProvinceName.ForeColor = SystemColors.Control
        Me.LabelJILocalityName.ForeColor = SystemColors.Control
        Me.LabelJINumber.ForeColor = SystemColors.Control
        Me.LabelOther0.ForeColor = SystemColors.Control
        Me.LabelOther1.ForeColor = SystemColors.Control
        Me.LabelOther2.ForeColor = SystemColors.Control
        Me.LabelOther3.ForeColor = SystemColors.Control
        Me.LabelOther4.ForeColor = SystemColors.Control
        Me.LabelString0.ForeColor = SystemColors.Control
        Me.LabelString1.ForeColor = SystemColors.Control
        Me.LabelString2.ForeColor = SystemColors.Control
        Me.LabelString3.ForeColor = SystemColors.Control
        Me.LabelString4.ForeColor = SystemColors.Control
    End Sub

    Private Sub ButtonCancel_Click(sender As Object, e As EventArgs) Handles ButtonCancel.Click
        Debug.WriteLine("debug CSRの読み込み画面を閉じます。")
        Me.CheckOk = False
        Me.Close()
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        Debug.WriteLine("debug 入力内容を確認します。")                ' OKボタンをクリックされたときの処理です
        If Me.TextBoxFilename.Text <> "" Then
            Debug.WriteLine("debug 入力は正しく行われています。")
            Me.CheckOk = True
            Me.Close()
        Else
            Dim msg As String = "CSRが選択されていません。"
            msg &= "CSRを選択してください。"
            MessageBox.Show(msg, "入力値エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End If
    End Sub

    Private Sub ButtonCSR_Click(sender As Object, e As EventArgs) Handles ButtonCSR.Click
        Dim CSRprop As OpenFileDialog = New OpenFileDialog()           ' 表示開始およびCSR再選択ボタンをクリックされたときの処理です
        CSRprop.Filter = "CSR files (*.csr)|*.csr|All files (*.*)|*.*"
        CSRprop.FilterIndex = 1                                        ' CSRの選択ダイアログを表示します
        If CSRprop.ShowDialog() = Windows.Forms.DialogResult.OK Then
            Dim CSRfile As CsrAnalyze = New CsrAnalyze()
            CSRfile.ReadAndAnalyze(CSRprop.FileName)                   ' 選択されたファイルを解析し、CSRか判定します
            If CSRfile.ReturnCode = 0 Then
                Me.CheckBoxCountryName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxStateOrProvinceName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxLocalityName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxOrganizationName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxOrganizationUnitName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxEmail.ForeColor = SystemColors.ControlDark
                Me.CheckBoxCommonName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxStreet.ForeColor = SystemColors.ControlDark
                Me.CheckBoxPostalCode.ForeColor = SystemColors.ControlDark
                Me.CheckBoxJICountryName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxJIStateOrProvinceName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxJILocalityName.ForeColor = SystemColors.ControlDark
                Me.CheckBoxJINumber.ForeColor = SystemColors.ControlDark
                Me.CheckBoxCountryName.Checked = False
                Me.CheckBoxStateOrProvinceName.Checked = False
                Me.CheckBoxLocalityName.Checked = False
                Me.CheckBoxOrganizationName.Checked = False
                Me.CheckBoxOrganizationUnitName.Checked = False
                Me.CheckBoxCommonName.Checked = False
                Me.CheckBoxEmail.Checked = False
                Me.CheckBoxStreet.Checked = False
                Me.CheckBoxPostalCode.Checked = False
                Me.CheckBoxJICountryName.Checked = False
                Me.CheckBoxJIStateOrProvinceName.Checked = False
                Me.CheckBoxJILocalityName.Checked = False
                Me.CheckBoxJINumber.Checked = False
                Me.CheckBoxCountryName.Enabled = False
                Me.CheckBoxStateOrProvinceName.Enabled = False
                Me.CheckBoxLocalityName.Enabled = False
                Me.CheckBoxOrganizationName.Enabled = False
                Me.CheckBoxOrganizationUnitName.Enabled = False
                Me.CheckBoxCommonName.Enabled = False
                Me.CheckBoxEmail.Enabled = False
                Me.CheckBoxStreet.Enabled = False
                Me.CheckBoxPostalCode.Enabled = False
                Me.CheckBoxJICountryName.Enabled = False
                Me.CheckBoxJIStateOrProvinceName.Enabled = False
                Me.CheckBoxJILocalityName.Enabled = False
                Me.CheckBoxJINumber.Enabled = False
                Me.LabelCountryName.ForeColor = SystemColors.Control
                Me.LabelStateOrProvinceName.ForeColor = SystemColors.Control
                Me.LabelLocalityName.ForeColor = SystemColors.Control
                Me.LabelOrganizationName.ForeColor = SystemColors.Control
                Me.LabelOrganizationUnitName.ForeColor = SystemColors.Control
                Me.LabelCommonName.ForeColor = SystemColors.Control
                Me.LabelEmail.ForeColor = SystemColors.Control
                Me.LabelStreet.ForeColor = SystemColors.Control
                Me.LabelPostalCode.ForeColor = SystemColors.Control
                Me.LabelJICountryName.ForeColor = SystemColors.Control
                Me.LabelJIStateOrProvinceName.ForeColor = SystemColors.Control
                Me.LabelJILocalityName.ForeColor = SystemColors.Control
                Me.LabelJINumber.ForeColor = SystemColors.Control
                Me.LabelOther0.ForeColor = SystemColors.Control
                Me.LabelOther0.ForeColor = SystemColors.Control
                Me.LabelOther1.ForeColor = SystemColors.Control
                Me.LabelOther1.ForeColor = SystemColors.Control
                Me.LabelOther2.ForeColor = SystemColors.Control
                Me.LabelOther2.ForeColor = SystemColors.Control
                Me.LabelOther3.ForeColor = SystemColors.Control
                Me.LabelOther3.ForeColor = SystemColors.Control
                Me.LabelOther4.ForeColor = SystemColors.Control
                Me.LabelOther4.ForeColor = SystemColors.Control
                Dim OtherInd As Integer = 0
                For i As Integer = 0 To CSRfile.ObjectID.Count - 1 Step 1
                    If CSRfile.ObjectID(i) = CommonDefines.OIDcountryName Then
                        Me.CheckBoxCountryName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxCountryName.Enabled = True
                        Me.LabelCountryName.ForeColor = SystemColors.ControlText
                        Me.LabelCountryName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDstateOrProvinceName Then
                        Me.CheckBoxStateOrProvinceName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxStateOrProvinceName.Enabled = True
                        Me.LabelStateOrProvinceName.ForeColor = SystemColors.ControlText
                        Me.LabelStateOrProvinceName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDlocalityName Then
                        Me.CheckBoxLocalityName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxLocalityName.Enabled = True
                        Me.LabelLocalityName.ForeColor = SystemColors.ControlText
                        Me.LabelLocalityName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDorganizationName Then
                        Me.CheckBoxOrganizationName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxOrganizationName.Enabled = True
                        Me.LabelOrganizationName.ForeColor = SystemColors.ControlText
                        Me.LabelOrganizationName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDorganizationUnitName Then
                        Me.CheckBoxOrganizationUnitName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxOrganizationUnitName.Enabled = True
                        Me.LabelOrganizationUnitName.ForeColor = SystemColors.ControlText
                        Me.LabelOrganizationUnitName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDcommonName Then
                        Me.CheckBoxCommonName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxCommonName.Enabled = True
                        Me.LabelCommonName.ForeColor = SystemColors.ControlText
                        Me.LabelCommonName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDemail Then
                        Me.CheckBoxEmail.ForeColor = SystemColors.ControlText
                        Me.CheckBoxEmail.Enabled = True
                        Me.LabelEmail.ForeColor = SystemColors.ControlText
                        Me.LabelEmail.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDstreetAddress Then
                        Me.CheckBoxStreet.ForeColor = SystemColors.ControlText
                        Me.CheckBoxStreet.Enabled = True
                        Me.LabelStreet.ForeColor = SystemColors.ControlText
                        Me.LabelStreet.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDpostalCode Then
                        Me.CheckBoxPostalCode.ForeColor = SystemColors.ControlText
                        Me.CheckBoxPostalCode.Enabled = True
                        Me.LabelPostalCode.ForeColor = SystemColors.ControlText
                        Me.LabelPostalCode.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDJOIcountryName Then
                        Me.CheckBoxJICountryName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxJICountryName.Enabled = True
                        Me.LabelJICountryName.ForeColor = SystemColors.ControlText
                        Me.LabelJICountryName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDJOIstateOrProvinceName Then
                        Me.CheckBoxJIStateOrProvinceName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxJIStateOrProvinceName.Enabled = True
                        Me.LabelJIStateOrProvinceName.ForeColor = SystemColors.ControlText
                        Me.LabelJIStateOrProvinceName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDJOIlocalityName Then
                        Me.CheckBoxJILocalityName.ForeColor = SystemColors.ControlText
                        Me.CheckBoxJILocalityName.Enabled = True
                        Me.LabelJILocalityName.ForeColor = SystemColors.ControlText
                        Me.LabelJILocalityName.Text = CSRfile.ValueText(i)
                    ElseIf CSRfile.ObjectID(i) = CommonDefines.OIDJOInumber Then
                        Me.CheckBoxJINumber.ForeColor = SystemColors.ControlText
                        Me.CheckBoxJINumber.Enabled = True
                        Me.LabelJINumber.ForeColor = SystemColors.ControlText
                        Me.LabelJINumber.Text = CSRfile.ValueText(i)
                    Else
                        If OtherInd = 0 Then
                            Me.LabelOther0.ForeColor = SystemColors.ControlText
                            Me.LabelOther0.Text = CSRfile.ObjectID(i)
                            Me.LabelOther0.ForeColor = SystemColors.ControlText
                            Me.LabelOther0.Text = CSRfile.ValueText(i)
                        ElseIf OtherInd = 1 Then
                            Me.LabelOther1.ForeColor = SystemColors.ControlText
                            Me.LabelOther1.Text = CSRfile.ObjectID(i)
                            Me.LabelOther1.ForeColor = SystemColors.ControlText
                            Me.LabelOther1.Text = CSRfile.ValueText(i)
                        ElseIf OtherInd = 2 Then
                            Me.LabelOther2.ForeColor = SystemColors.ControlText
                            Me.LabelOther2.Text = CSRfile.ObjectID(i)
                            Me.LabelOther2.ForeColor = SystemColors.ControlText
                            Me.LabelOther2.Text = CSRfile.ValueText(i)
                        ElseIf OtherInd = 3 Then
                            Me.LabelOther3.ForeColor = SystemColors.ControlText
                            Me.LabelOther3.Text = CSRfile.ObjectID(i)
                            Me.LabelOther3.ForeColor = SystemColors.ControlText
                            Me.LabelOther3.Text = CSRfile.ValueText(i)
                        ElseIf OtherInd = 4 Then
                            Me.LabelOther4.ForeColor = SystemColors.ControlText
                            Me.LabelOther4.Text = CSRfile.ObjectID(i)
                            Me.LabelOther4.ForeColor = SystemColors.ControlText
                            Me.LabelOther4.Text = CSRfile.ValueText(i)
                        End If
                        OtherInd += 1
                    End If
                Next
                Me.TextBoxFilename.Text = CSRprop.FileName
                Me.ButtonOK.Enabled = True
            Else
                MessageBox.Show(CSRfile.ErrorMessage, "入力値エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End If
        End If
    End Sub

    Private Sub LinkLabel1_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        Dim BaseDirectory = System.Windows.Forms.Application.StartupPath
        Dim SouceFolder = "/source/k9pca/k9pca/90_Help/"
        Dim HelpFile = BaseDirectory & SouceFolder & "SelectCSR10.htm"
        System.Diagnostics.Process.Start(HelpFile)
    End Sub

    Private Sub LinkLabel2_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabel2.LinkClicked
        Dim BaseDirectory = System.Windows.Forms.Application.StartupPath
        Dim SouceFolder = "/source/k9pca/k9pca/90_Help/"
        Dim HelpFile = BaseDirectory & SouceFolder & "SelectCSR11.htm"
        System.Diagnostics.Process.Start(HelpFile)
    End Sub
End Class