﻿Imports Microsoft.VisualBasic.ControlChars
Imports System.IO
Imports System.Text
Imports System.Diagnostics

Public Class SelectPicture
    Public CheckOk As Boolean

    Private Sub SelectPicture_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Debug.WriteLine("debug 画像の読み込み画面クラスが作成されました。")
        Me.CheckOk = False
    End Sub

    Private Sub ButtonCancel_Click(sender As Object, e As EventArgs) Handles ButtonCancel.Click
        Debug.WriteLine("debug 画像の読み込み画面を閉じます。")
        Me.TextBoxFilename.Text = ""
        Me.CheckOk = False
        Me.Close()
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        Debug.WriteLine("debug 入力内容を確認します。")                ' OKボタンをクリックされたときの処理です
        If Me.TextBoxFilename.Text <> "" Then
            Debug.WriteLine("debug 入力は正しく行われています。")
            Me.CheckOk = True
            Me.Close()
        Else
            Dim msg As String = "画像が選択されていません。"
            msg &= "画像を選択してください。"
            MessageBox.Show(msg, "入力値エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End If
    End Sub

    Private Sub ButtonCSR_Click(sender As Object, e As EventArgs) Handles ButtonCSR.Click
        Dim Pictureprop As OpenFileDialog = New OpenFileDialog()       ' 表示開始および画像再選択ボタンをクリックされたときの処理です
        Pictureprop.Filter = "Picture files|*.jpg; *.jpeg; *.gif; *.png; *.tif; *.tiff; *.bmp|All files (*.*)|*.*"
        Pictureprop.FilterIndex = 1                                    ' 画像の選択ダイアログを表示します
        If Pictureprop.ShowDialog() = Windows.Forms.DialogResult.OK Then
            Try
                Me.PictureBox1.ImageLocation = Pictureprop.FileName
                Me.TextBoxFilename.Text = Pictureprop.FileName
                Dim FileCheck As FileInfo = New FileInfo(Pictureprop.FileName)
                If FileCheck.Length > 2048 Then
                    Me.ButtonOK.Enabled = False
                    Dim msg As String = "画像が大きすぎます。"
                    msg &= "2048バイト以下の画像を選択してください。"
                    MessageBox.Show(msg, "入力値エラー", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Else
                    Me.ButtonOK.Enabled = True
                End If
            Catch ex As Exception
                Debug.WriteLine("debug 画像の読み込みに失敗しました。")
            End Try
        End If
    End Sub

    Private Sub LinkLabel1_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        Dim BaseDirectory = System.Windows.Forms.Application.StartupPath
        Dim SouceFolder = "/source/k9pca/k9pca/90_Help/"
        Dim HelpFile = BaseDirectory & SouceFolder & "SelectPicture10.htm"
        System.Diagnostics.Process.Start(HelpFile)
    End Sub
End Class