﻿Imports Microsoft.VisualBasic.ControlChars
Imports System.IO
Imports System.Text
Imports System.Diagnostics

Public Class DispLog
    Public Property LogDirectory As String                             ' ログを出力するディレクトリです
    Public Property LogName As String                                  ' ログのファイル名です
    Private LogBuff As ArrayList
    Private PageID As Integer
    Private TextBoxLineCount As Integer

    Private Sub DispLog_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.LogBuff = New ArrayList
        Me.PageID = -1
    End Sub

    Private Sub DispLog_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown, TextBoxLog.SizeChanged
        TextBoxLineCount = Me.TextBoxLog.Size.Height / Me.TextBoxLog.Font.Height
        If Me.LogBuff IsNot Nothing Then
            Try
                Me.LogBuff.Clear()
                Me.ButtonLeft.Enabled = False
                Me.ButtonRight.Enabled = False
                Dim LogK9pca As String = Me.LogDirectory & Me.LogName
                Dim FileCheck As FileInfo = New FileInfo(LogK9pca)
                If FileCheck.Exists Then
                    Using DataFile As StreamReader = New StreamReader(LogK9pca)
                        Dim PageBuff As String = ""
                        Dim LineBuff As String
                        Dim LineCount As Integer = 0
                        Do
                            LineBuff = DataFile.ReadLine()
                            If LineBuff IsNot Nothing Then
                                PageBuff += LineBuff + System.Environment.NewLine
                                LineCount += 1
                                If LineCount >= TextBoxLineCount Then
                                    Me.LogBuff.Add(PageBuff)
                                    PageBuff = ""
                                    LineCount = 0
                                End If
                            Else
                                Exit Do
                            End If
                        Loop
                        If LineCount > 0 Then
                            Me.LogBuff.Add(PageBuff)
                        End If
                    End Using
                End If
                If Me.LogBuff.Count > 0 Then
                    Me.PageID = Me.LogBuff.Count - 1
                    Me.TextBoxLog.Text = Me.LogBuff(Me.PageID)
                    If Me.PageID > 0 Then
                        Me.ButtonLeft.Enabled = True
                        Me.ButtonRight.Enabled = False
                    Else
                        Me.ButtonLeft.Enabled = False
                        Me.ButtonRight.Enabled = False
                    End If
                Else
                    Me.TextBoxLog.Text = ""
                    Me.ButtonLeft.Enabled = False
                    Me.ButtonRight.Enabled = False
                End If
            Catch ex As Exception
                Me.TextBoxLog.Text = ""
                Me.ButtonLeft.Enabled = False
                Me.ButtonRight.Enabled = False
            End Try
        Else
            Me.TextBoxLog.Text = ""
            Me.ButtonLeft.Enabled = False
            Me.ButtonRight.Enabled = False
        End If
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        Me.LogBuff.Clear()
        Me.Close()
    End Sub

    Private Sub ButtonLeft_Click(sender As Object, e As EventArgs) Handles ButtonLeft.Click
        If Me.LogBuff IsNot Nothing Then
            If Me.PageID > 0 Then
                Me.PageID -= 1
                Me.TextBoxLog.Text = Me.LogBuff(Me.PageID)
                If Me.PageID > 0 Then
                    Me.ButtonLeft.Enabled = True
                Else
                    Me.ButtonLeft.Enabled = False
                End If
                If Me.PageID < (Me.LogBuff.Count - 1) Then
                    Me.ButtonRight.Enabled = True
                Else
                    Me.ButtonRight.Enabled = False
                End If
            End If
        End If
    End Sub

    Private Sub ButtonRight_Click(sender As Object, e As EventArgs) Handles ButtonRight.Click
        If Me.LogBuff IsNot Nothing Then
            If Me.PageID < (Me.LogBuff.Count - 1) Then
                Me.PageID += 1
                Me.TextBoxLog.Text = Me.LogBuff(Me.PageID)
                If Me.PageID > 0 Then
                    Me.ButtonLeft.Enabled = True
                Else
                    Me.ButtonLeft.Enabled = False
                End If
                If Me.PageID < (Me.LogBuff.Count - 1) Then
                    Me.ButtonRight.Enabled = True
                Else
                    Me.ButtonRight.Enabled = False
                End If
            End If
        End If
    End Sub
End Class