﻿' * 名前 : LogFile.vb
' * 機能 : ログファイルの出力
' * 作成 : 2014/04/-- Ver1.0
' * 更新 : ----/--/-- Ver -.-
' * 備考 : まぁいわゆる一般的なログファイルです
' *

Imports Microsoft.VisualBasic.ControlChars
Imports System.IO
Imports System.Text
Imports System.Diagnostics

Public Class LogFile
    Public Property LogDirectory As String                             ' ログを出力するディレクトリです
    Public Property LogName As String                                  ' ログのファイル名です

    Public Sub New()                                                   ' コンストラクタ
        Debug.WriteLine("LogFileクラスが作成されました。")
        Me.LogDirectory = System.Windows.Forms.Application.StartupPath & "/bin/log/"
        'Me.LogName = "k9pca" & Date.Now.ToString("yyyyMM") & ".log"
        Me.LogName = "k9pca.log"
        If Not String.IsNullOrEmpty(Form1.LogName) Then
            Me.LogDirectory = Form1.LogDirectory
            Me.LogName = Form1.LogName
        End If
        Debug.WriteLine("LogDirectory      [" & Me.LogDirectory & "]")
        Debug.WriteLine("LogName           [" & Me.LogName & "]")
    End Sub

    Public Sub Logout(ByVal LogMsg As String)
        Dim CheckDir As DirectoryInfo = New DirectoryInfo(Me.LogDirectory)
        If Not CheckDir.Exists Then
            CheckDir.Create()
            Debug.WriteLine("ディレクトリ" & Me.LogDirectory & "を作成しました。")
        End If
        Dim Pid As Integer = System.Diagnostics.Process.GetCurrentProcess.Id
        Dim Message As String = Date.Now.ToString("yyyy/MM/dd HH:mm:ss (") & Pid.ToString() & ") " & LogMsg
        Dim LogFilename As String = Me.LogDirectory & Me.LogName
        Dim LogFile As System.IO.StreamWriter = New System.IO.StreamWriter(LogFilename, True)
        LogFile.WriteLine(Message)
        LogFile.Close()
    End Sub
End Class
