﻿Public Class KeyinCheck
    Public Function Check4Email(ByVal KeyinText As String) As Boolean
        Dim RetFlag As Boolean = False
        If Not String.IsNullOrEmpty(KeyinText) Then
            If System.Text.RegularExpressions.Regex.IsMatch(KeyinText, "^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,4}$", System.Text.RegularExpressions.RegexOptions.IgnoreCase) Then
                RetFlag = True
            End If
        End If
        Return RetFlag
    End Function

    Public Function Check4Password(ByVal KeyinText As String) As Boolean
        Dim RetFlag As Boolean = False
        If Not String.IsNullOrEmpty(KeyinText) Then
            If System.Text.RegularExpressions.Regex.IsMatch(KeyinText, "^[A-Z0-9._%+-]*$", System.Text.RegularExpressions.RegexOptions.IgnoreCase) Then
                RetFlag = True
            End If
        End If
        Return RetFlag
    End Function

    Public Function Check4oid(ByVal KeyinText As String) As Boolean
        Dim RetFlag As Boolean = False
        If Not String.IsNullOrEmpty(KeyinText) Then
            If System.Text.RegularExpressions.Regex.IsMatch(KeyinText, "^[0-9.]*$", System.Text.RegularExpressions.RegexOptions.IgnoreCase) Then
                Dim LastID As Integer = KeyinText.Length - 1
                If KeyinText.Substring(LastID) <> "." Then
                    RetFlag = True
                End If
            End If
        End If
        Return RetFlag
    End Function
End Class
