﻿Public Class ImportCertMiddle04
    Public K9piaCertDirectoryBase As String
    Public SerialNumber As Long
    Public CheckOk As Boolean
    Public KeyExist As Boolean

    Private Sub ImportCertMiddle04_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Debug.WriteLine("debug 認証局インポートの終了画面クラスが作成されました。")
        Me.CheckOk = False                                             ' コンストラクタ：初期化します
    End Sub

    Private Sub ImportCertMiddle04_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        Debug.WriteLine("debug 認証局インポートの終了画面を表示します。")
        Dim SNdirectory As String
        If Me.SerialNumber < 10000 Then
            SNdirectory = Me.SerialNumber.ToString("D4")
        ElseIf Me.SerialNumber < 100000000 Then
            SNdirectory = Me.SerialNumber.ToString("D8")
        Else
            SNdirectory = Me.SerialNumber.ToString("D64")
        End If
        Me.LinkLabelFolder.Text = Me.K9piaCertDirectoryBase.Replace("\", "/") & SNdirectory & "/"
        Me.LabelFilename.Text = Me.SerialNumber.ToString() & "." & CommonDefines.K9extCER
        Me.LabelFilename2.Text = Me.SerialNumber.ToString() & "." & CommonDefines.K9extKEY
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        Debug.WriteLine("debug 認証局インポートの終了確認画面を閉じます。")
        Me.CheckOk = True
        Me.Close()
    End Sub

    Private Sub LinkLabelFolder_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabelFolder.LinkClicked
        Debug.WriteLine("debug インポートした認証局フォルダを表示します。")
        System.Diagnostics.Process.Start(Me.LinkLabelFolder.Text)
    End Sub
End Class