﻿Module CommonDefines
    Public Const ErrorCodeK9piaInit As Integer = 1                     ' エラーコード
    Public Const ErrorCodeK9piaXml As Integer = 1
    Public Const ErrorCodeK9piaTimeout As Integer = 1
    Public Const ErrorCodeK9piaCreate As Integer = 1
    Public Const ErrorCodeK9piaKeys As Integer = 13
    Public Const ErrorCodeK9piaMakefile As Integer = 20110
    Public Const CrlCycleMonthly As String = "Monthly"                 ' CRLの発行周期を表します
    Public Const CrlCycleQuarter As String = "Quarter"
    Public Const CrlCycleHalf As String = "Half"
    Public Const CrlCycleYear4 As String = "Year4"
    Public Const CrlCycleYear10 As String = "Year10"
    Public Const StatusFileUnknown As Integer = -1                     ' ファイルで管理しているデータの状態を表します
    Public Const StatusFileReady As Integer = 0
    Public Const StatusFileNotReady As Integer = 12
    Public Const StatusFileNotDirectory As Integer = 8
    Public Const StatusFileNotFound As Integer = 4
    Public Const BlockCommon As String = "00"                          ' 登録情報ファイルのブロック種別を表します
    Public Const BlockCA As String = "CA"
    Public Const BlockRoot As String = "RT"
    Public Const BlockMiddle As String = "MD"
    Public Const BlockUser As String = "US"
    Public Const BlockServer As String = "SS"
    Public Const BlockEndentity As String = "EE"
    Public Const BlockCRL As String = "CR"
    Public Const BlockUnknow As String = "uk"
    Public Const RecordCommon As String = "ed"                         ' 登録情報ファイルのデータ種別を表します
    Public Const RecordVersion As String = "vs"
    Public Const RecordSirinumber As String = "sn"
    Public Const RecordSignalgo As String = "sg"
    Public Const RecordIssuer As String = "is"
    Public Const RecordNotbefore As String = "nb"
    Public Const RecordNotafter As String = "na"
    Public Const RecordTimezone As String = "nt"
    Public Const RecordContry As String = "C_"
    Public Const RecordStateprov As String = "S_"
    Public Const RecordLocality As String = "L_"
    Public Const RecordOrganiz As String = "O_"
    Public Const RecordOrganizUnit As String = "OU"
    Public Const RecordComname As String = "CN"
    Public Const RecordEmail As String = "EM"
    Public Const RecordPostal As String = "PO"
    Public Const RecordStreet As String = "ST"
    Public Const RecordJIContry As String = "JC"
    Public Const RecordJIStateprov As String = "JS"
    Public Const RecordJILocality As String = "JA"
    Public Const RecordJINumber As String = "JN"
    Public Const RecordSubject As String = "SB"
    Public Const RecordPubkeyInfo As String = "pi"
    Public Const RecordCSRname As String = "cn"
    Public Const RecordCSRsubject As String = "cs"
    Public Const RecordCSRpubkey As String = "ck"
    Public Const RecordSubkeyId As String = "sk"
    Public Const RecordSubkeyId_C As String = "s-"
    Public Const RecordAuthkeyId As String = "ak"
    Public Const RecordAuthkeyId_C As String = "a-"
    Public Const RecordKeyusage As String = "ku"
    Public Const RecordKeyusage_C As String = "k-"
    Public Const RecordBccae As String = "be"
    Public Const RecordBcpath As String = "bp"
    Public Const RecordBconstra As String = "bc"
    Public Const RecordBconstra_C As String = "b-"
    Public Const RecordCpOID As String = "co"
    Public Const RecordCpText As String = "ct"
    Public Const RecordCpUri As String = "cu"
    Public Const RecordCpInfo As String = "ci"
    Public Const RecordCpolice As String = "cp"
    Public Const RecordCpolice_C As String = "c-"
    Public Const RecordCRLdpUrl As String = "lu"
    Public Const RecordCRLdp As String = "lp"
    Public Const RecordCRLdp_C As String = "l-"
    Public Const RecordAinfoOCSP As String = "Ao"
    Public Const RecordAinfoCA As String = "Ac"
    Public Const RecordAinfoAcc As String = "Aa"
    Public Const RecordAinfoAcc_C As String = "A-"
    Public Const RecordOrgdata As String = "od"
    Public Const RecordExtension As String = "ex"
    Public Const RecordBasic As String = "bs"
    Public Const RecordCertificate As String = "CE"
    Public Const RecordWithSn As String = "wn"
    Public Const RecordWithCer As String = "wc"
    Public Const RecordCSPname As String = "Pn"
    Public Const RecordCSPtype As String = "Pt"
    Public Const RecordKeysize As String = "Ks"
    Public Const RecordModulus As String = "Kn"
    Public Const RecordExponent As String = "Ke"
    Public Const RecordD As String = "Kd"
    Public Const RecordP As String = "Kp"
    Public Const RecordQ As String = "Kq"
    Public Const RecordDP As String = "K1"
    Public Const RecordDQ As String = "K2"
    Public Const RecordInverseQ As String = "Ki"
    Public Const RecordPrivatekey As String = "PV"
    Public Const RecordPublickey As String = "PU"
    Public Const RecordOutfile As String = "Of"
    Public Const RecordOutPW As String = "Op"
    Public Const RecordOutExt As String = "Oe"
    Public Const RecordOutSSL As String = "Os"
    Public Const RecordRSAproviderType As String = "RT"
    Public Const RecordRSAprovider As String = "RP"
    Public Const RecordRSAparams As String = "RM"
    Public Const RecordReasonCode As String = "rc"
    Public Const RecordRevocate As String = "rd"
    Public Const RecordRevoZone As String = "rz"
    Public Const RecordThisUpdate As String = "rt"
    Public Const RecordThisZone As String = "ru"
    Public Const RecordNextUpdate As String = "rn"
    Public Const RecordNextZone As String = "rm"
    Public Const RecordCRL As String = "CR"
    Public Const K9cocCert As Boolean = True                           ' 証明書／失効リストを設定します
    Public Const K9cocCRL As Boolean = False
    Public Const K9actIssue As String = "issue"                        ' 発行局への指示を表します
    Public Const K9actImport As String = "import"
    Public Const K9certVer As String = "V3"                            ' 証明書のバージョンです
    Public Const K9sha1 As String = "SHA-1"                            ' 署名アルゴリズムです
    Public Const K9sha2 As String = "SHA-256"
    Public Const K9sha1API As String = "sha1RSA"
    Public Const K9sha2API As String = "sha256RSA"
    Public Const K9hash1 As String = "SHA-1"                           ' ハッシュアルゴリズムです
    Public Const K9hash2 As String = "SHA-256"
    ' Public Const K9cspJpk As String = "JPKI Crypto Service Provider"   ' 暗号プロバイダ名です （住基ネットカード）
    Public Const K9cspJpk As String = "JPKI Crypto Service Provider for Sign"  ' （マイナンバーカード署名用）
    ' Public Const K9cspJpk As String = "JPKI Crypto Service Provider for Auth"  ' （マイナンバーカード認証用）
    Public Const K9cspDef As String = "Microsoft Base Cryptographic Provider v1.0"
    Public Const K9cspAes As String = "Microsoft Enhanced RSA and AES Cryptographic Provider"
    Public Const K9cspAXP As String = "Microsoft Enhanced RSA and AES Cryptographic Provider (Prototype)"
    ' Public Const K9cspJpkType As String = "PROV_RSA_FULL"              ' （住基ネットカード）
    Public Const K9cspJpkType As String = "PROV_RSA_AES"               ' （マイナンバーカード署名＆認証用）
    Public Const K9cspDefType As String = "PROV_RSA_FULL"
    Public Const K9cspAesType As String = "PROV_RSA_AES"
    Public Const K9cspAXPType As String = "PROV_RSA_AES"
    Public Const K9anyP As String = "anyPolicy"                        ' すべてのポリシーを表します
    Public Const K9extP12 As String = "p12"                            ' 証明書の拡張子を表します
    Public Const K9extPFX As String = "pfx"
    Public Const K9extCER As String = "cer"
    Public Const K9extKEY As String = "key"
    Public Const K9sslNone As Integer = 0                              ' SSLクライアントの設定です
    Public Const K9sslApache As Integer = 1
    Public Const K9sslIIS7 As Integer = 7
    Public Const MessageDilayTime As Integer = 1000                    ' 終了メッセージを確認するための待ち時間です(ms)
    Public Const CSRheader As String = "-----BEGIN CERTIFICATE REQUEST-----"
    Public Const CSRtailer As String = "-----END CERTIFICATE REQUEST-----"
    Public Const CSRheader2 As String = "-----BEGIN NEW CERTIFICATE REQUEST-----"
    Public Const CSRtailer2 As String = "-----END NEW CERTIFICATE REQUEST-----"
    Public Const OIDsha1 As String = "1.2.840.113549.1.1.5"
    Public Const OIDsha2 As String = "1.2.840.113549.1.1.11"
    Public Const OIDcountryName As String = "2.5.4.6"
    Public Const OIDstateOrProvinceName As String = "2.5.4.8"
    Public Const OIDlocalityName As String = "2.5.4.7"
    Public Const OIDorganizationName As String = "2.5.4.10"
    Public Const OIDorganizationUnitName As String = "2.5.4.11"
    Public Const OIDcommonName As String = "2.5.4.3"
    Public Const OIDemail As String = "1.2.840.113549.1.9.1"
    Public Const OIDpostalCode As String = "2.5.4.17"
    Public Const OIDstreetAddress As String = "2.5.4.9"
    Public Const OIDJOIcountryName As String = "1.3.6.1.4.1.311.60.2.1.3"
    Public Const OIDJOIstateOrProvinceName As String = "1.3.6.1.4.1.311.60.2.1.2"
    Public Const OIDJOIlocalityName As String = "1.3.6.1.4.1.311.60.2.1.1"
    Public Const OIDJOInumber As String = "2.5.4.5"
    Public Const OIDaliasName As String = "2.5.4.1"
    Public Const OIDbasicCnst As String = "2.5.29.19"
    Public Const OIDpolices As String = "2.5.29.32"
    Public Const OIDpoliceUri As String = "1.3.6.1.5.5.7.2.1"
    Public Const OIDpoliceMsg As String = "1.3.6.1.5.5.7.2.2"
    Public Const OIDpoliceAny As String = "2.5.29.32.0"
    Public Const OIDcrlPoint As String = "2.5.29.31"
    Public Const OIDauthInfo As String = "1.3.6.1.5.5.7.1.1"
    Public Const OIDaiaOcsp As String = "1.3.6.1.5.5.7.48.1"
    Public Const OIDaiaIsuue As String = "1.3.6.1.5.5.7.48.2"
    Public Const OIDsubKeyID As String = "2.5.29.14"
    Public Const OIDathKeyID As String = "2.5.29.35"
    Public Const OIDkeyUsage As String = "2.5.29.15"
    Public Const OIDsubAltNm As String = "2.5.29.17"
    Public Const OIDisuAltNm As String = "2.5.29.18"
    Public Const JPKIcheckFile As String = "C:/Program Files/Common Files/e-gov_app/load_path/default.dat"
    Public Const TimeZoneJST As String = "JST"
    Public Const TimeZoneGMT As String = "GMT"
    Public Const TimeZoneUTC As String = "UTC"
    Public Const ReasonCode1 As String = "keyCompromise"
    Public Const ReasonCode2 As String = "caCompromise"
    Public Const ReasonCode3 As String = "affiliationChanged"
    Public Const ReasonCode4 As String = "superseded"
    Public Const ReasonCode5 As String = "cessationOfOperation"
    Public Const ReasonCode6 As String = "certificateHold"
    Public Const ReasonCode7 As String = "removeFromCRL"
    Public Const ReasonCode8 As String = "privilegeWithdrawn"
    Public Const ReasonCode9 As String = "aaCompromise"
    Public Const ReasonMsg1 As String = "所有者・サーバーの秘密鍵が紛失・盗難などにより信頼性が失墜したため"
    Public Const ReasonMsg2 As String = "認証局の秘密鍵が紛失・盗難などにより信頼性が失墜したため"
    Public Const ReasonMsg3 As String = "所有者・サーバーの内容（部署・名前など）に変更があったため"
    Public Const ReasonMsg4 As String = "内容の変更をともなわない証明書の交換"
    Public Const ReasonMsg5 As String = "所有者の退職・サービスの終了などにより証明書が不要となった"
    Public Const ReasonMsg6 As String = "その他"
    Public Const ReasonMsg7 As String = "その他"
    Public Const ReasonMsg8 As String = "その他"
    Public Const ReasonMsg9 As String = "その他"
End Module
